%define name 	perl-Net_SSLeay.pm
%define realname	Net_SSLeay.pm
%define ver	1.07
%define rel	1

Summary: Net::SSLeay (module for perl)
Name: 		%{name}
version: 	%{ver}
Release: 	%{rel}
Copyright: 	distributable
Group: 		Utilities/CPAN
Source: 	%{realname}-%{ver}.tar.gz
URL: 		http://www.bacus.pt/Net_SSLeay/index.html
BuildRoot: 	/var/tmp/%{name}-%{ver}-%{rel}-root/
Requires: 	perl >= 5.004  openssl >= 0.9.6
Provides:	%{name}

%description
	Net::SSLeay module for perl.

%prep
%setup -q -n %{realname}-%{ver}

%build
rm -rf $RPM_BUILD_ROOT
./Makefile.PL /usr
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install
gzip -9 $RPM_BUILD_ROOT/usr/share/man/man3/*

find $RPM_BUILD_ROOT/usr -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > %{realname}-%{ver}-filelist

%files -f %{realname}-%{ver}-filelist
%defattr(-,root,root)

%changelog
* Tue Jun 19 2001 Gerald Teschl <gerald@esi.ac.at>
- Updated.

* Tue Aug 10 1999  Rex Wu <rex@intercept.com.tw>
- Spec file was generated.
